Skip to main content
POST
Create Session

Authentication & Scope

Requires the sessions-write ability.

Request

Body Parameters

Response

201 Created – The newly created session.
After creating a session, add documents using the Create Document endpoint.

Authorizations

Authorization
string
header
required

Personal Access Token created from the Raydocs dashboard. Include in the Authorization header: Bearer <your_token> See API Keys for token creation and management.

Body

application/json
extraction_template_id
string<uuid>
required
name
string
Example:

"Q1 2024 Invoices"

Response

Created

id
string<uuid>
read-only
name
string
extraction_template_id
string<uuid>
settings
object
status
enum<string>
read-only
Available options:
pending,
processing,
completed,
failed
created_at
string<date-time>
read-only
updated_at
string<date-time>
read-only
documents
object[]
read-only
results
object[]
read-only